eoGnuplot1DSnapshot(3)

NAME
eoGnuplot1DSnapshot - Plot stats through gnuplot.

SYNOPSIS

#include <eoGnuplot1DSnapshot.h>

Inherits eoFileSnapshot, and eoGnuplot.

  Public Member Functions
eoGnuplot1DSnapshot (std::string _dirname, unsigned _frequency=1, std::string _filename='gen', std::string _delim=' ', unsigned _counter=0, bool _rmFiles=true)
eoGnuplot1DSnapshot (std::string _dirname, eoRealVectorBounds &_bounds, unsigned _frequency=1, std::string _filename='gen', std::string _delim=' ', unsigned _counter=0, bool _rmFiles=true)
eoGnuplot1DSnapshot (eoFileSnapshot &_fSnapshot)
eoGnuplot1DSnapshot (eoFileSnapshot &_fSnapshot, eoRealVectorBounds &_bounds)
virtual eoMonitor & operator() ()
The operator(void): opens the std::ostream and calls the write method.
virtual std::string className () const
Class name.
virtual void handleBounds (eoRealVectorBounds &_bounds)
void setPointSize (unsigned _pointSize)

  Protected Attributes
unsigned pointSize

Detailed Description

Plot stats through gnuplot. Author:
    Marc Schoenauer 2000

Version:
    0.0

This class plots through gnuplot the eoStat given as argument

Assumes that the same file is re-written every so and so, and plots it from scratch everytime it's called

Definition at line 51 of file eoGnuplot1DSnapshot.h.

Author

Generated automatically by Doxygen for EO from the source code.